Innehåll

# Seek Statement

Anger position för nästa skrivning eller läsning i en fil som är öppnad med Open-satsen.

För filer med Random-åtkomst returnerar Seek-satsen numret på nästa post som ska öppnas.

För alla andra filer anger Seek-satsen den byteposition där nästa operation ska inträffa.

### Syntax:

    Seek [#]filePos, {filePos|recordNum}

## Parameters:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Felkoder:

5 Felaktigt proceduranrop

52 Ogiltigt filnamn eller filnummer

Närliggande ämnen

Open Statement

Seek function